org.apache.cayenne.rop

## Class ROPUtil

- java.lang.Object
- - org.apache.cayenne.rop.ROPUtil

-     public class ROPUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROPUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `base64(String value)` Creates the Base64 value.
    `static char` | `encode(long d)`
    `static String` | `getBasicAuth(String username, String password)`
    `static String` | `getLogConnect(String url, String username, boolean password)`
    `static String` | `getLogConnect(String url, String username, boolean password, String sharedSessionName)`
    `static String` | `getLogDisconnect(String url, String username, boolean password)`
    `static String` | `getParamsAsString(Map<String,String> params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ROPUtil

          public ROPUtil()

  - ### Method Detail

    - #### getLogConnect

          public static String getLogConnect(String url,
                                             String username,
                                             boolean password)

    - #### getLogConnect

          public static String getLogConnect(String url,
                                             String username,
                                             boolean password,
                                             String sharedSessionName)

    - #### getLogDisconnect

          public static String getLogDisconnect(String url,
                                                String username,
                                                boolean password)

    - #### getParamsAsString

          public static String getParamsAsString(Map<String,String> params)

    - #### getBasicAuth

          public static String getBasicAuth(String username,
                                            String password)

    - #### base64

          public static String base64(String value)

      Creates the Base64 value.

    - #### encode

          public static char encode(long d)

Copyright © 2001–2018 Apache Cayenne. All rights reserved.